#!/bin/sh
#131226 sfs
./acl.sh
mkisofs="`which mkisofs || which genisoimage`"
[ "$mkisofs" = "" ] && sfs-get mkisofs 
mkisofs="`which mkisofs || which genisoimage`"
[ "$mkisofs" = "" ] && exit
CDLABEL=cd
#http://docs.puppyrus.org/setups/howto-grub
#$mkisofs -allow-lowercase -R -b boot/grub/stage2_eltorito -no-emul-boot -boot-load-size 4  -boot-info-table -o $1.iso $1

#http://greenflash.su/Grub4Dos/files/install.htm
#$mkisofs -allow-lowercase -R -b grldr -no-emul-boot -boot-load-seg 0x1000 -o $1.iso $1

#pra
#$mkisofs -allow-lowercase -J -R    -b grldr -no-emul-boot -boot-load-seg 0x1000 -o ../`date "+%y%m%d"`.iso .

#pr
###$mkisofs -allow-lowercase -J -D -R -A "$CDLABEL" -V "$CDLABEL" -b grldr -no-emul-boot -boot-load-size 4 -hide boot.catalog -boot-info-table -o ../`date "+%y%m%d"`.iso .
##grub2
$mkisofs -allow-lowercase -l -r -J -no-emul-boot -boot-load-size 4 -boot-info-table -b boot/grub/grub2iso -o ../`date "+%y%m%d"`.iso .

#porteus
#$mkisofs  -v -l -J -joliet-long -R -D -A "$CDLABEL" -V "$CDLABEL" -no-emul-boot -boot-info-table -boot-load-size 4 -b boot/syslinux/isolinux.bin -c boot/syslinux/isolinux.boot ../.


#или:
#$mkisofs -allow-lowercase -R -b grldr -no-emul-boot -boot-load-size 4 -o $1.iso $1
#Первый способ более надёжный, и будет поддерживаться старыми версиями BIOS - т.к будет загружаться первый сектор файла grldr. При втором способе grldr будет загружаться целиком. 